<member-login>

	<div class="login-window shadow" id="login-window" >
		<div show="{ !state.show_password_reminder }">
			<div class="title">ΣΥΝΔΕΣΗ ΜΕΛΟΥΣ</div>
			<form id="formLogin" class="mrg-bottom-md" onsubmit="{ login }">
				<div class="form-group">
					<input type="text" class="form-control" data-ref="email" placeholder="email" required>
				</div>
				<div class="form-group">
					<input type="password" class="form-control" data-ref="password" placeholder="κωδικός" required>
				</div>

				<div class="form-group">
					<div class="checkbox">
						<label>
							<input type="checkbox" data-ref="is_professional" value="1">
							Έχω επαγγελματικό λογαριασμό
						</label>
					</div>
				</div>			
				<member-login-raw-html prompt="{ state.login_error }"></member-login-raw-html>
				<button class="btn btn-primary btn-sm btn-block">ΕΙΣΟΔΟΣ</button>
			</form>
			<div class="text-center">
				<a href="#" onclick="{ toggle_form }">ξέχασα τον κωδικό μου</a>
				<hr>
				<p>Δεν έχετε λογαριασμό;</p>
				<a href="\account\register" class="btn btn-secondary btn-sm btn-block">ΔΗΜΙΟΥΡΓΙΑ ΛΟΓΑΡΙΑΣΜΟΥ</a>
			</div>
		</div>

		<div show="{ state.show_password_reminder }">
			<p class="text-small">Σε περίπτωση που έχετε ξεχάσει τον κωδικό του λογαριασμού σας, συμπληρώστε το e-mail με το οποίο είχατε εγγραφεί στις Κρητικές Αγγελίες.</p>
			<p class="text-small">Θα σας αποσταλούν άμεσα οδηγίες στα "Εισερχόμενα" για την αλλαγή του κωδικού σας.</p>
			<p class="text-small">Εάν για κάποιο λόγο δε λάβετε το e-mail με το νέο κωδικό, ελέγξτε στο φάκελο Ανεπιθύμητων (Spam).</p>
			<p class="text-small">Εάν υπάρχει ακόμη πρόβλημα επικοινωνήστε μαζί μας.</p>

			<form id="formReminder" class="mrg-bottom-md" onsubmit="{ send_password }">
				<div class="form-group">
					<input type="text" class="form-control" data-ref="email_password" placeholder="email" required>
				</div>
				<member-login-raw-html prompt="{ state.reminder_error }"></member-login-raw-html>
				<button class="btn btn-primary btn-sm btn-block">ΑΠΟΣΤΟΛΗ</button>
			</form>
			<div class="text-center">
				<a href="#" onclick="{ toggle_form }">επιστροφή στην είσοδο</a>
			</div>
		</div>

		<loader-icon class="control-loader" if="{ state.on_progress }"></loader-icon>
	</div>

	<script>
		this.state = {
			show_password_reminder: false,
			on_progress: false,

			login_error: "",
			reminder_error: "",
		}


		this.toggle_loader = value => {
			this.state.on_progress = value;
			this.update();
		}


		this.login = event => {
			event.preventDefault();

			var email = this.refs.email.value;
			var password = this.refs.password.value;
			var is_professional = (this.refs.is_professional.checked ? 1 : 0);

			if (email && password) {
				this.state.login_error = "";
				this.update();

				var tag = this;
				api_request(
					'members/login',
					{
						'email': email,
						'password': password,
						'is_professional': is_professional,
					},
					function(result) {
						MEMBER.update(result.data.name, result.data.email, result.data.token);

						tag.update();

						popup_message("Καλώς ήλθατε " + result.data.name + "... έχετε συνδεθεί στο λογαριασμό σας.");

						if (result.data.is_professional == 1) {
							$('.nav-member-cv').hide();
							if (result.data.access_cvs == 1) {
								$('.nav-member-cvs').show();
							} else {
								$('.nav-member-cvs').hide();
							}
						}

						// refresh page if is emailalert
						if (window.location.href.indexOf('emailalert') > -1) {
							window.location.reload(false);
						}

					},
					function(error) {
						tag.state.login_error = error;
						tag.update();

					}, this.toggle_loader
				);
			}
			return false;
		}


		this.send_password = event => {
			event.preventDefault();

			if (this.refs.email_password.value) {
				this.state.reminder_error = "";
				this.update();

				var tag = this;
				request(
					'account/remind_password',
					{
						'email': this.refs.email_password.value,
					},
					function(result) {
						tag.toggle_login_window(); // close login window

						popup_message("Η ενέργεια ολοκληρώθηκε επιτυχώς. Ελέγξτε την αλληλογραφία σας.");

					},
					function(error) {
						tag.state.reminder_error = error;
						tag.update();

					}, this.toggle_loader
				);
			}
			return false;
		}


		this.toggle_form = event => {
			event.preventDefault();
			this.state.show_password_reminder = !this.state.show_password_reminder;
		}


		this.reset_controls = () => {
			this.refs.password.value = "";
			$('#login-window .login-error').html('').hide();

			this.update();
		}


		this.toggle_login_window = () => {
			var tag = this;

			if (!this.state.on_progress) {
				// Toggle login window
				if ($('#login-window').is(':visible')) {
					$('#login-window').fadeOut(200, function() {
						tag.reset_controls();
					});
				} else {
					$('#login-window').fadeIn(200);
				}
			}
		}


		this.on("mount", function() {

			var tag = this;

			document.getElementById("nav-login-button").addEventListener("click", function(event) {
				event.preventDefault();
				event.stopPropagation();

				tag.toggle_login_window();
			});

			$('.member-login-link').bind("click", function(event) {
				event.preventDefault();
				event.stopPropagation();
				tag.toggle_login_window();
			});

			// "New ad" button handlers
			$('.nav-new-ad').bind("click", function(event) {
				if (!MEMBER.token()) {
					event.preventDefault();
					event.stopPropagation();

					tag.toggle_login_window();
				}
			});

			// "Email Alert" button handlers
			$('.nav-email-alert').bind("click", function(event) {
				if (!MEMBER.token()) {
					event.preventDefault();
					event.stopPropagation();

					tag.toggle_login_window();
				}
			});


			// Hide login window on outside of window
			$(document).click(function(event) {
				if ( $(event.target).closest('.login-window').length == 0 && $('#login-window').is(':visible')) {
					if (!tag.state.on_progress) {
						$('#login-window').fadeOut(200, function() {
							tag.reset_controls();
						});
					}
					event.stopPropagation();
				}
			});

		});
	</script>
</member-login>

<member-login-raw-html>
	<script>
		this.on("update", function() {	
			if (this.opts.prompt) {
				this.root.innerHTML = '<div class="alert alert-danger pad-md small login-error">' + this.opts.prompt.replace(/(?:\r\n|\r|\n)/g, '<br>') + '</div>';
			} else {
				this.root.innerHTML = "";
			}
		})
	</script>
</member-login-raw-html>